	var accion = document.editarGamaForm.accion.value;	

$( document ).ready(function() {
	// la clase está dada de baja
	if ($("#bajaclase").val() == "1") {
		var textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") " + $("#textoClase").val();
		$("#textoClase").val(textoBaja);
		mensajeAlert($.rup.i18n.app.mensajes.claseBaja  );
		
	}
	
    $("#feini").rup_date ();	
    //Formatear la fecha 
    if ($("#feini").val()!=""){
        var fechaIni = new Date($("#feini").val().substring(0,10).replace("-","/").replace("-","/"));
        $("#feini").rup_date("setDate", fechaIni);
    }

	$("#GRID_gamaCuestionarios").rup_grid({
		width: 865,
		hasMaint:true,
		url: "../cuestionario",
		pagerName: "pagerGamaCuestionarios",
		rowNum: "5",
		sortorder: "asc",
		sortname: "nroorden",
		ondblClickRow : fncDetalleCuestionario,
		colNames: [
			"idcuestionario",
			"idclase",
			$.rup.i18n.app.mensajesCuestionario.nroorden,
			$.rup.i18n.app.mensajesCuestionario.operacion,
			$.rup.i18n.app.mensajesCuestionario.semanas,
			$.rup.i18n.app.mensajesCuestionario.tiempo
		],
		colModel: [
			{ name: "idcuestionario",
				label: "idcuestionario",
				index: "idcuestionario",
				width: "15",
				editable: false,
				edittype: "hidden",
				hidden:true
			},
			{ name: "idgama",
				label: "idgama",
				index: "idgama",
				width: "15",
				editable: false,
				edittype: "hidden",
				hidden:true
			},
			{ name: "nroorden",
				label: "nroorden",
				index: "nroorden",
				width: "15",
				editable: false,
				edittype: "text"
			},
			{ name: "operacion",
				label: "operacion",
				index: "operacion",
				width: "150",
				editable: false,
				edittype: "text"
			},
			{ name: "semanas",
				label: "semanas",
				index: "semanas",
				width: "15",
				editable: false,
				edittype: "text"
			},
			{ name: "tiempo",
				label: "tiempo",
				index: "tiempo",
				width: "15",
				editable: false,
				edittype: "text"
			}	
        ]
		
	});
	$("#gamaCuestionarios").rup_maint({
		jQueryGrid: "GRID_gamaCuestionarios",
		primaryKey: "idcuestionario",
		modelObject: "Cuestionario",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		searchForm: "searchForm",
		showMessages: true,
		
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: [{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.nuevo,
						css: "rup-maint_new"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: nuevoCuestionario
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.editar,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleCuestionario
					},
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.eliminar,
						css: "rup-maint_delete"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncEliminarCuestionario
					}
					]
	
			}
	});

	$("#GRID_gamaCuestionarios").unbind("dblclick");
	$("#GRID_gamaCuestionarios").dblclick(fncDetalleCuestionario);
	
});	  

/***************************************************************************/
/********************   TOOLTIPS *******************************************/
/***************************************************************************/

$("#imgBuscarServicios").rup_tooltip({
	content: {
	text: $.rup.i18n.app.nuevo.ventanaSeleccion
	}
});


/**********************************************************************************/
/****************************** CUESTIONARIOS *************************************/
/**********************************************************************************/

/*DIÁLOGO NUEVO ESPACIO INI*/

var ventanaDialogoNuevoCuestionario= $("#dialogoEditarCuestionario").rup_dialog({
	type: jQuery.rup.dialog.DIV,
	autoOpen: false,
	id:"nuevoCuestionario",
	modal: true,
	resizable: false,
	minWidth: 880,
	showLoading:true,
	title: $.rup.i18n.app.nuevo.cuestionario,
	close: function(event, ui) { $("#GRID_gamaCuestionarios").rup_grid("reloadGrid"); }
});

function nuevoCuestionario() {
	//Para abrirlo en el diálogo con un iFrame
	var ventanaIFrame ='../cuestionario/nuevo';
	document.getElementById("iframeEditarCuestionario").src = ventanaIFrame;
	$("#dialogoEditarCuestionario").rup_dialog("open");
}

function cerrarIFrameNuevoCuestionario() {
	if ($("#dialogoEditarCuestionario").rup_dialog('isOpen')) {
		$("#dialogoEditarCuestionario").rup_dialog('close');
		document.getElementById("iframeEditarCuestionario").src = '';
	}
}

$("#iframeNuevoCuestionario").load(function (){ ;});	
/*DIÁLOGO NUEVO Cuestionario FIN*/

/* DIALOGO DETALLE */
function fncDetalleCuestionario() {

	 var id= $("#GRID_gamaCuestionarios").rup_grid('getGridParam','selrow');
		if (id==null || id=="") {
			alert($.rup.i18n.app.mensajes.sinRegistros);
			return;
		}
		
	var ventanaDialogoDetalleCuestionario = $("#dialogoEditarCuestionario").rup_dialog({
		type: jQuery.rup.dialog.DIV,
		autoOpen: false,
		id:"detalleCuestionario",
		modal: true,
		resizable: false,
		minWidth: 880,
		showLoading:true,
		title: $.rup.i18n.app.nuevo.Cuestionario,
		close: function(event, ui) { $("#GRID_gamaCuestionarios").rup_grid("reloadGrid"); }
	});
	
	 var id= $("#GRID_gamaCuestionarios").rup_grid('getGridParam','selrow');
	 //alert(id);
	 var ret = $("#GRID_gamaCuestionarios").rup_grid('getRowData',id); 
	 var idCuestionario =ret.idcuestionario;	 
	 var ventanaIFrame ="../cuestionario/modificar?idCuestionario="+idCuestionario;

	  document.getElementById("iframeEditarCuestionario").src = ventanaIFrame;
		$("#dialogoEditarCuestionario").rup_dialog("open");
	
	  $("#iframeEditarCuestionario").load(function (){ ;});

	return false;
}
/* FIN DIALOGO DETALLE */


function fncEliminarCuestionario(){
	$.rup_messages("msgConfirm", {
		title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.eliminar"),			
		message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaEliminar"),
		OKFunction: function(){				
			eliminarCuestionario();
		},
		CANCELFunction : function(){
		}
		});
}

function eliminarCuestionario () {
			
		// Eliminar el registro seleccionado.
		 var id= $("#GRID_gamaCuestionarios").rup_grid('getGridParam','selrow');
		 //alert(id);
		 var ret = $("#GRID_gamaCuestionarios").rup_grid('getRowData',id); 
		 var idCuestionario =ret.idcuestionario;	 
			 
		$.ajax({
			  type: "DELETE",				  
			  url: "../cuestionario/"+idCuestionario,
			  error: function(data) {
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errorEliminar + "</strong></p>");
				 },
			  success: function(data4){
				  if (data4=="ok"){
					  	mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.eliminadook + "</strong></p>");
					  	$("#GRID_gamaCuestionarios").rup_grid("reloadGrid");
				  }else if (data4=="tieneActuaciones"){
					  //El cuestionario tiene actuaciones asociadas. No se puede eliminar
						$.rup_messages("msgAlert", { 
				 			title: $.rup.i18n.app.comun.control,
					 		message: $.rup.i18n.app.mensajesCuestionario.cuestTieneActua
					 	});
					  return;
				  }
				 },
			  dataType: "json"
			});

}

/**********************************************************************************/
/****************************** FIN CUESTIONARIOS *********************************/
/**********************************************************************************/

function volver() {
	if ($("#ventanaOrigen").val()=="mantGamas"){
		window.location = "/aa20bMaqPartesWar/gamas/maintVolver";	
	}else{
		history.back();	
	}
}

/********************************* MODIFICAR  ****************************************************************/	
	// Al pulsar el botón guardar enviamos los campos del formulario al Controller
	$("#bt_modificar").bind("click", confirmarModificar);
	
	function confirmarModificar (){

		$.rup_messages("msgConfirm", {
			title: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.modificar"),			
			message: $.rup.i18nParse($.rup.i18n.app,"accionesRegistros.deseaModificar"),
			OKFunction: function(){				
				modificarGama();
			},
			CANCELFunction : function(){
			}
			});
	}
	
	function modificarGama () {
		if ($("#bajaclase").val() == "1") {
			mensajeError($.rup.i18n.app.mensajes.claseBaja);
			return;
		}
		
		// Convertimos los checkbox a 0 y 1 en funcion de si están seleccionados o no
		$("input[type=checkbox]").each (function() {						
			$(this).val(this.checked ? "1" : "0");
		});
		
		var properties={
				url:"../gamas/modificarGama",
				feedback:$("#feedbackEditarGama"),
				useJsonIfPossible: true,
				 beforeSend : function(data) {
						//Mostrar div de sincronizando
					  $("#dialogoGuardar").rup_dialog(
								{
									type : $.rup.dialog.DIV,
									height : 200,
									width : 500,
									modal : true,
									showLoading : true,
									autoOpen : false,
									title : $.rup.i18n.app.mensajesEdificios.guardando
								});
						$("#dialogoGuardar").rup_dialog("open");
				  },
				 error: function(data) {
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 alert(data.responseText);
					 mensajeError("<p><strong>" +  $.rup.i18n.app.accionesRegistros.errormodificar + "</strong></p>");
				 },
				 success: function(){	
					 $("#dialogoGuardar").rup_dialog("close");
					  	$("#dialogoGuardar").rup_dialog("destroy");
					 mensajeInfo("<p><strong>" +  $.rup.i18n.app.accionesRegistros.guardadook + "</strong></p>");
				 },
				 validate: {
					 rules: {
						"idgama":{required:true},
						"cgama":{required:true},
						"egama":{required:true},
						"feini" : {required:true,date:true},
						"textoServicio" : {required:true}
					 }
				 }
				};
				$("#editarGamaForm").rup_form(properties);
				
				$("#editarGamaForm").submit();
			
	}
	
	/********************************* FIN MODIFICAR  ****************************************************************/
	
	/********************************* BOTON VOLVER  ****************************************************************/
	$("#bt_Volver").bind("click", volver);
	
	/********************************* FIN VOLVER  ****************************************************************/
	
	
	/********************************* FEEDBACK MENSAJES OK  ****************************************************************/
	
	function mensajeInfo (texto) {
		 var properties = {
   				type: "ok",
   				fadeSpeed: 600,
   				gotoTop: false,
   				block: false,
   				closeLink: false
   			};
   	
   		$("#feedbackEditarGama").rup_feedback (properties);

   		$("#feedbackEditarGama").rup_feedback("set", texto);

   		$("#feedbackEditarGama").rup_feedback("show");
	}
	
	function mensajeError (texto) {
		 var properties = {
  				type: "error",
  				fadeSpeed: 600,
  				gotoTop: false,
  				block: false,
  				closeLink: false
  			};

  		$("#feedbackEditarGama").rup_feedback (properties);

  		$("#feedbackEditarGama").rup_feedback("set", texto);

  		$("#feedbackEditarGama").rup_feedback("show");
	}
	
	function mensajeAlert (texto) {
		 var properties = {
 				type: "info",
 				//fadeSpeed: 600,
 				gotoTop: false,
 				block: false,
 				closeLink: true,
 				delay:null
 			};
 	//	var texto = "<p><strong>" +  $.rup.i18n.app.feedbackNuevoUsuarioIncidenciaGuardada.modificadook + "</strong></p>";
 		$("#feedbackEditarGama").rup_feedback (properties);

 		$("#feedbackEditarGama").rup_feedback("set", texto);

 		$("#feedbackEditarGama").rup_feedback("show");
	}
	/********************************* FIN FEEDBACK MENSAJES OK  ****************************************************************/


	// Esto es necesario para que salgan los mensajes de validacion de uda
	jQuery("#feedbackEditarGama").rup_feedback({
		  type: "ok",                  
		  closeLink: true,                  
		  delay: 1000,                  
		  fadeSpeed: 500,                  
		  block:false          
		  }); 
	
	
  


/********************************* CLASES  ****************************************************************/
function btn_BuscarClases(){

	$("#idTablaClases").empty();
	var textoBaja="";
	//Obtener la lista de Clases
	$.ajax({
		type: "POST",
		url: "../clase/clasesAlta/obtenerClasesAlta",
		success: function(data){
			var miselect=$("#idTablaClases");
			$("#idTablaClases").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cclase;
              	} else {
              		descripcion = textoBaja + data[i].eclase;
              	}
              	if (data[i].idclase > 0) {
              	miselect.append('<option value="' + data[i].idclase + '">' + descripcion + '</option>');
              	}
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupaClases
	$("#lupaClases").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.clasesVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaClases",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto de la clase y activo seleccionado
	        		/*$("#idClase").val($("#idTablaClases option:selected").val());
	        		var texto = $("#idTablaClases option:selected").html();
	        		texto = texto.replace(/&nbsp;/g, "");
	        		$("#textoClase").val(texto);*/
	        		//alert ( $("#idTablaClases option:selected").html() + " - " + $("#idTablaClases option:selected").val());
	        		var texto = $("#idTablaClases option:selected").html();
	        		if (texto != undefined) {
	        			$("#idClase").val($("#idTablaClases option:selected").val());
	        			//alert ($("#idclase").val());
	        			texto = texto.replace(/&nbsp;/g, "");
	        			$("#textoClase").val(texto);
	        			
	        			
	        			// Si seleccionamos una clase es que está dada de alta
	        			$("#bajaclase").val("0");
	        			$("#feedbackEditarGama").hide();
	        		}

	        		$("#lupaClases").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaClases",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaClases").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}

/********************************* FIN CLASES  ****************************************************************/


/********************************* SERVICIOS ****************************************************************/

function btn_BuscarServicios(){
	var urlServicios="";
	if (accion == "NUEVO") {
		urlServicios="../servicios/obtenerServiciosAltaNoCero";
	}else{
		urlServicios="../servicios/obtenerServiciosNoCero";
	}
	
	$("#idTablaServicios").empty();
	var textoBaja="";
	//Obtener la lista de Servicios
	$.ajax({
		type: "POST",
		url: urlServicios,
		success: function(data){
			var miselect=$("#idTablaServicios");
			$("#idTablaServicios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cservicio;
              	} else {
              		descripcion = textoBaja + data[i].eservicio;
              	}
              	miselect.append('<option value="' + data[i].idservicio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa Servicios
	$("#lupaServicios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaServicios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
	        		//Pintar el texto de servicio 
	        		$("#idServicio").val($("#idTablaServicios option:selected").val());
	        		var texto = $("#idTablaServicios option:selected").html();
	        		texto = texto.replace(/&nbsp;/g, "");
	        		$("#textoServicio").val(texto);

	        		$("#lupaServicios").rup_dialog("close");
	        	}
        	},
	        {
	    		id: "cerrarlupaServicios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaServicios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}
/********************************* FIN SERVICIOS ****************************************************************/